[Deprecated]: v1.0
post
/ec-ors-svc/rest/v1.0/studies/{studyId}/{mode}/resupply/initial
Deprecated: Creates a first shipment as part of a study's predictive resupply group. Rights: OrsSupplyManagerPost.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
studyId(required): string(uuid)
Supported Media Types
- application/json
Root Schema : schema
Type:
objectInitial resupply request object.
Show Source
-
jobInstanceId: string
Title:
Job Instance IDJob instance ID.Example:4FEBE3E166454E2687C6FAC306E7C86E -
siteId(required): string
(uuid)
Site ID.
Examples
Back to Top
Response
Supported Media Types
- application/json
410 Response
Deprecated: This endpoint is no longer available.
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
Title:
ErrorResponseDataError Response Details Information -
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : result
Type:
objectResult Object
Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
Examples